/**
 *
 * Simplecache module for Magnolia CMS (http://www.openmindlab.com/lab/products/simplecache.html)
 * Copyright(C) 2010-2011, Openmind S.r.l. http://www.openmindonline.it
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.sourceforge.openutils.mgnlsimplecache.managers;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;


/**
 * @author Manuel Molaschi
 * @author Fabrizio Giustina
 * @version $Id: CacheManager.java 3520 2011-06-11 08:21:43Z fgiust $
 */
public interface CacheManager
{

    CachedItem get(HttpServletRequest request);

    String getKey(HttpServletRequest request);

    void reset(HttpServletRequest request) throws IOException;

    void flush();

    void start();

    void stop();

    boolean isActive();
}
